Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Commit_unit/src/Parameters_msg_error.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Commit_unit/src/Parameters_msg_error.cpp	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Commit_unit/src/Parameters_msg_error.cpp	(revision 88)
@@ -0,0 +1,61 @@
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/include/Types.h"
+#include "Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Commit_unit/include/Parameters.h"
+#include <sstream>
+
+namespace morpheo                    {
+namespace behavioural {
+namespace core {
+namespace multi_ooo_engine {
+namespace ooo_engine {
+namespace commit_unit {
+
+
+#undef  FUNCTION
+#define FUNCTION "Commit_unit::msg_error"
+  Parameters_test Parameters::msg_error(void)
+  {
+    log_begin(Commit_unit,FUNCTION);
+
+    Parameters_test test ("Commit_unit");
+
+    for (uint32_t i=0; i<_nb_rename_unit; i++)
+      if (_nb_bank < _nb_inst_insert [i])
+	test.error (toString(_("For the nb_rename_unit[%d] : nb_bank must be >= nb_inst_insert.\n"),i));
+    
+    for (uint32_t i=0; i<_nb_rename_unit; i++)
+      if (_nb_bank < _nb_inst_retire [i])
+	test.error (toString(_("For the nb_rename_unit[%d] : nb_bank must be >= nb_inst_retire.\n"),i));
+    
+    if (_nb_rename_unit_select > _nb_rename_unit)
+      test.error("nb_rename_unit must be >= nb_rename_unit_select.\n");
+
+    if (not is_multiple(_size_queue, _nb_bank))
+      test.error("nb_bank must be a multiple of size_queue.\n");
+
+    if (_nb_inst_reexecute != 1)
+      test.error("nb_inst_reexecute must be set at 1. Anothers value is unsupported.\n");
+
+    if (_size_queue == 1)
+      test.information ("Instructions are issued In-Order.\n");
+    else
+      test.information ("Instructions are issued Out-Of-Order.\n");
+
+    log_end(Commit_unit,FUNCTION);
+
+    return test;
+  };
+
+}; // end namespace commit_unit
+}; // end namespace ooo_engine
+}; // end namespace multi_ooo_engine
+}; // end namespace core
+
+}; // end namespace behavioural
+}; // end namespace morpheo              
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Commit_unit/src/Parameters_print.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Commit_unit/src/Parameters_print.cpp	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Commit_unit/src/Parameters_print.cpp	(revision 88)
@@ -0,0 +1,135 @@
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Commit_unit/include/Parameters.h"
+#include "Behavioural/include/XML.h"
+
+namespace morpheo                    {
+namespace behavioural {
+namespace core {
+namespace multi_ooo_engine {
+namespace ooo_engine {
+namespace commit_unit {
+
+
+#undef  FUNCTION
+#define FUNCTION "Commit_unit::print"
+  std::string Parameters::print (uint32_t depth)
+  {
+    log_begin(Commit_unit,FUNCTION);
+
+    std::string str = "";
+    
+    str += toString(MSG_INFORMATION)+"  * nb_front_end            : "+toString<uint32_t         >(_nb_front_end           )+"\n";
+    for (uint32_t i=0; i<_nb_front_end; ++i)
+    str += toString(MSG_INFORMATION)+"  * nb_context                ["+toString(i)+"] : "+toString<uint32_t         >(_nb_context [i])+"\n";//[nb_front_end]
+    str += toString(MSG_INFORMATION)+"  * nb_rename_unit          : "+toString<uint32_t         >(_nb_rename_unit         )+"\n";
+    str += toString(MSG_INFORMATION)+"  * size_queue              : "+toString<uint32_t         >(_size_queue             )+"\n";
+    str += toString(MSG_INFORMATION)+"  * nb_bank                 : "+toString<uint32_t         >(_nb_bank                )+"\n";
+    for (uint32_t i=0; i<_nb_rename_unit; ++i)
+    str += toString(MSG_INFORMATION)+"  * nb_inst_insert            ["+toString(i)+"] : "+toString<uint32_t         >(_nb_inst_insert[i])+"\n";//[nb_rename_unit]
+    for (uint32_t i=0; i<_nb_rename_unit; ++i)
+    str += toString(MSG_INFORMATION)+"  * nb_inst_retire            ["+toString(i)+"] : "+toString<uint32_t         >(_nb_inst_retire[i])+"\n";//[nb_rename_unit]
+    str += toString(MSG_INFORMATION)+"  * nb_inst_commit          : "+toString<uint32_t         >(_nb_inst_commit         )+"\n";
+    str += toString(MSG_INFORMATION)+"  * nb_inst_reexecute       : "+toString<uint32_t         >(_nb_inst_reexecute      )+"\n";
+    str += toString(MSG_INFORMATION)+"  * nb_inst_branch_complete : "+toString<uint32_t         >(_nb_inst_branch_complete)+"\n";
+    for (uint32_t i=0; i<_nb_front_end; ++i)
+    for (uint32_t j=0; j<_nb_context[i]; ++j)
+    str += toString(MSG_INFORMATION)+"  * nb_branch_speculated      ["+toString(i)+"]["+toString(j)+"] : "+toString<uint32_t         >(_nb_branch_speculated[i][j])+"\n";//[nb_front_end][nb_context]
+    str += toString(MSG_INFORMATION)+"  * size_general_data       : "+toString<uint32_t         >(_size_general_data      )+"\n";
+    str += toString(MSG_INFORMATION)+"  * size_store_queue_ptr    : "+toString<uint32_t         >(_size_store_queue_ptr   )+"\n";
+    str += toString(MSG_INFORMATION)+"  * size_load_queue_ptr     : "+toString<uint32_t         >(_size_load_queue_ptr    )+"\n";
+    str += toString(MSG_INFORMATION)+"  * size_general_register   : "+toString<uint32_t         >(_size_general_register  )+"\n";
+    str += toString(MSG_INFORMATION)+"  * size_special_register   : "+toString<uint32_t         >(_size_special_register  )+"\n";
+    str += toString(MSG_INFORMATION)+"  * priority                : "+toString<Tpriority_t      >(_priority               )+"\n";
+    str += toString(MSG_INFORMATION)+"  * load_balancing          : "+toString<Tload_balancing_t>(_load_balancing         )+"\n";
+    str += toString(MSG_INFORMATION)+"  * nb_rename_unit_select   : "+toString<uint32_t         >(_nb_rename_unit_select  )+"\n";
+    str += toString(MSG_INFORMATION)+"  * nb_bank_access_commit   : "+toString<uint32_t         >(_nb_bank_access_commit  )+"\n";
+    str += toString(MSG_INFORMATION)+"  * retire_ooo              : "+toString<retire_ooo_t     >(_retire_ooo             )+"\n";
+
+    /*
+    XML xml ("commit_unit");
+
+    xml.balise_open("commit_unit");
+    xml.singleton_begin("nb_front_end           "); xml.attribut("value",toString(_nb_front_end           )); xml.singleton_end();
+    xml.singleton_begin("nb_rename_unit         "); xml.attribut("value",toString(_nb_rename_unit         )); xml.singleton_end();
+    xml.singleton_begin("size_queue             "); xml.attribut("value",toString(_size_queue             )); xml.singleton_end();
+    xml.singleton_begin("nb_bank                "); xml.attribut("value",toString(_nb_bank                )); xml.singleton_end();
+    xml.singleton_begin("nb_inst_reexecute      "); xml.attribut("value",toString(_nb_inst_reexecute      )); xml.singleton_end();
+    xml.singleton_begin("nb_inst_branch_complete"); xml.attribut("value",toString(_nb_inst_branch_complete)); xml.singleton_end();
+    xml.singleton_begin("nb_inst_commit         "); xml.attribut("value",toString(_nb_inst_commit         )); xml.singleton_end();
+    xml.singleton_begin("size_general_data      "); xml.attribut("value",toString(_size_general_data      )); xml.singleton_end();
+    xml.singleton_begin("size_store_queue_ptr   "); xml.attribut("value",toString(_size_store_queue_ptr   )); xml.singleton_end();
+    xml.singleton_begin("size_load_queue_ptr    "); xml.attribut("value",toString(_size_load_queue_ptr    )); xml.singleton_end();
+    xml.singleton_begin("size_general_register  "); xml.attribut("value",toString(_size_general_register  )); xml.singleton_end();
+    xml.singleton_begin("size_special_register  "); xml.attribut("value",toString(_size_special_register  )); xml.singleton_end();
+    xml.singleton_begin("priority               "); xml.attribut("value",toString(_priority               )); xml.singleton_end();
+    xml.singleton_begin("load_balancing         "); xml.attribut("value",toString(_load_balancing         )); xml.singleton_end();
+    xml.singleton_begin("nb_rename_unit_select  "); xml.attribut("value",toString(_nb_rename_unit_select  )); xml.singleton_end();
+
+    for (uint32_t i=0;i<_nb_front_end; i++)
+      {
+        xml. balise_open_begin("component");
+        xml.  attribut("type","front_end");
+        xml.  attribut("id"  ,toString(i));
+        xml. balise_open_end();
+        xml.singleton_begin("nb_context             "); xml.attribut("value",toString(_nb_context             [i])); xml.singleton_end();
+
+        for (uint32_t j=0;j<_nb_context [i]; j++)
+          {
+            xml. balise_open_begin("component");
+            xml.  attribut("type","context");
+            xml.  attribut("id"  ,toString(j));
+            xml. balise_open_end();
+            xml.singleton_begin("nb_branch_speculated   "); xml.attribut("value",toString(_nb_branch_speculated   [i][j])); xml.singleton_end();
+            xml. balise_close();
+          }
+
+        xml. balise_close();
+      }
+
+    for (uint32_t i=0;i<_nb_rename_unit; i++)
+      {
+        xml. balise_open_begin("component");
+        xml.  attribut("type","rename_unit");
+        xml.  attribut("id"  ,toString(i));
+        xml. balise_open_end();
+        xml.singleton_begin("nb_inst_insert         "); xml.attribut("value",toString(_nb_inst_insert         [i])); xml.singleton_end();
+        xml.singleton_begin("nb_inst_retire         "); xml.attribut("value",toString(_nb_inst_retire         [i])); xml.singleton_end();
+        xml. balise_close();
+      }
+
+    xml.balise_close();
+    */
+    log_end(Commit_unit,FUNCTION);
+    
+
+//     return xml.get_body(depth);
+    return str;
+  };
+
+#undef  FUNCTION
+#define FUNCTION "Commit_unit::operator<<"
+  std::ostream& operator<< (std::ostream& output_stream ,
+                            morpheo::behavioural::core::multi_ooo_engine::ooo_engine::commit_unit::Parameters & x)
+  {
+    log_begin(Commit_unit,FUNCTION);
+
+    output_stream << x.print(0);
+    
+    log_end(Commit_unit,FUNCTION);
+
+    return output_stream;
+  };
+
+}; // end namespace commit_unit
+}; // end namespace ooo_engine
+}; // end namespace multi_ooo_engine
+}; // end namespace core
+
+}; // end namespace behavioural
+}; // end namespace morpheo              
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/Makefile
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/Makefile	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/Makefile	(revision 88)
@@ -0,0 +1,24 @@
+# 
+# $Id$
+# 
+# [ Description ]
+# 
+# Makefile
+# 
+
+#-----[ Directory ]----------------------------------------
+DIR_COMPONENT			= ./
+include				$(DIR_COMPONENT)/Makefile.defs
+
+#-----[ Library ]------------------------------------------
+LIBRARY				= $(DIR_LIB)/libIssue_queue.a
+
+
+#-----[ include ]------------------------------------------
+
+all				:
+				@$(MAKE) all_component
+
+include                         $(DIR_MORPHEO)/Behavioural/Makefile.flags
+include				$(DIR_MORPHEO)/Behavioural/Makefile.Common
+include				$(DIR_MORPHEO)/Behavioural/Makefile.Component
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/Makefile.defs
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/Makefile.defs	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/Makefile.defs	(revision 88)
@@ -0,0 +1,11 @@
+# 
+# $Id$
+# 
+# [ Description ]
+# 
+# Makefile
+# 
+
+#-----[ Directory ]----------------------------------------
+DIR_COMPONENT_MORPHEO		= ../../../../..
+DIR_MORPHEO			= $(DIR_COMPONENT)/$(DIR_COMPONENT_MORPHEO)
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/Makefile.deps
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/Makefile.deps	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/Makefile.deps	(revision 88)
@@ -0,0 +1,45 @@
+# 
+# $Id$
+# 
+# [ Description ]
+# 
+# Makefile
+# 
+# DIR_MORPHEO must be defined
+
+Issue_queue			= yes
+
+ifndef Behavioural
+include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
+endif
+ifndef Priority
+include 			$(DIR_MORPHEO)/Behavioural/Generic/Priority/Makefile.deps
+endif
+
+#-----[ Directory ]----------------------------------------
+
+Issue_queue_DIR			=	$(DIR_MORPHEO)/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue
+
+#-----[ Library ]------------------------------------------
+
+Issue_queue_LIBRARY		= 	-lIssue_queue			\
+					$(Priority_LIBRARY)		\
+					$(Behavioural_LIBRARY)	
+
+Issue_queue_DIR_LIBRARY		=	-L$(Issue_queue_DIR)/lib	\
+					$(Priority_DIR_LIBRARY)		\
+					$(Behavioural_DIR_LIBRARY)
+
+#-----[ Rules ]--------------------------------------------
+
+Issue_queue_library		:
+				@\
+				$(MAKE) Behavioural_library;		\
+				$(MAKE) Priority_library;		\
+				$(MAKE) --directory=$(Issue_queue_DIR) --makefile=Makefile;
+
+Issue_queue_library_clean	:
+				@\
+				$(MAKE) Behavioural_library_clean;	\
+				$(MAKE) Priority_library_clean;		\
+				$(MAKE) --directory=$(Issue_queue_DIR) --makefile=Makefile clean;
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/SelfTest/Makefile
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/SelfTest/Makefile	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/SelfTest/Makefile	(revision 88)
@@ -0,0 +1,32 @@
+# 
+# $Id$
+# 
+# [ Description ]
+# 
+# Makefile
+# 
+
+#-----[ Directory ]----------------------------------------
+DIR_COMPONENT			= ../
+include				$(DIR_COMPONENT)/Makefile.defs
+
+LIBRARY				= $(Issue_queue_LIBRARY)
+
+DIR_LIBRARY			= $(Issue_queue_DIR_LIBRARY)
+
+#-----[ include ]------------------------------------------
+
+all				:
+				@$(MAKE) all_selftest
+
+library				: Issue_queue_library
+
+library_clean			: Issue_queue_library_clean
+
+local_clean			:
+
+include                         $(DIR_COMPONENT)/Makefile.deps
+include                         $(DIR_MORPHEO)/Behavioural/Makefile.flags
+include				$(DIR_MORPHEO)/Behavioural/Makefile.Common
+include				$(DIR_MORPHEO)/Behavioural/Makefile.Selftest
+include 			$(DIR_MORPHEO)/Behavioural/Makefile.Synthesis
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/SelfTest/config_min.cfg
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/SelfTest/config_min.cfg	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/SelfTest/config_min.cfg	(revision 88)
@@ -0,0 +1,32 @@
+Issue_queue
+1	1	*2	# nb_context              
+1	1	*2	# nb_front_end            
+1	1	*2	# nb_rename_unit          
+1	1	*2	# size_queue              
+1	1	*2	# nb_bank                 
+0	0	*2	# size_packet             
+32	32	*2	# size_general_data       
+2	2	*2	# size_special_data       
+5	5	*2	# size_general_register   
+2	2	*2	# size_special_register   
+1	1	*2	# size_store_queue_ptr    
+0	0	*2	# size_load_queue_ptr     
+1	1	*2	# nb_inst_issue           
+1	1	*2	# nb_inst_rename         [0]               [nb_rename_unit]
+1	1	*2	# nb_inst_reexecute       
+1	1	*2	# nb_rename_unit_select   
+1	1	*2	# priority                
+1	1	*2	# load_balancing          
+1	1	+1	# table_routing          [0][0]            [nb_rename_unit][nb_inst_issue]
+1	1	+1	# table_issue_type       [0][TYPE_ALU    ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [0][TYPE_SHIFT  ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [0][TYPE_MOVE   ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [0][TYPE_TEST   ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [0][TYPE_MUL    ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [0][TYPE_DIV    ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [0][TYPE_EXTEND ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [0][TYPE_FIND   ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [0][TYPE_SPECIAL] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [0][TYPE_CUSTOM ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [0][TYPE_BRANCH ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [0][TYPE_MEMORY ] [nb_inst_issue][nb_type]
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/SelfTest/config_mono_rename_unit.cfg
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/SelfTest/config_mono_rename_unit.cfg	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/SelfTest/config_mono_rename_unit.cfg	(revision 88)
@@ -0,0 +1,45 @@
+Issue_queue
+4	4	*2	# nb_context              
+4	4	*2	# nb_front_end            
+1	1	*2	# nb_rename_unit          
+16	32	*2	# size_queue              
+4	16	*2	# nb_bank                 
+0	0	*2	# size_packet             
+32	32	*2	# size_general_data       
+2	2	*2	# size_special_data       
+5	5	*2	# size_general_register   
+2	2	*2	# size_special_register   
+1	1	*2	# size_store_queue_ptr    
+0	0	*2	# size_load_queue_ptr     
+2	2	*4	# nb_inst_issue           
+1	4	*4	# nb_inst_rename         [0]               [nb_rename_unit]
+1	4	*4	# nb_inst_reexecute       
+1	1	*2	# nb_rename_unit_select   
+1	1	*2	# priority                
+1	1	*2	# load_balancing          
+1	1	+1	# table_routing          [0][0]            [nb_rename_unit][nb_inst_issue]
+1	1	+1	# table_routing          [0][1]            [nb_rename_unit][nb_inst_issue]
+1	1	+1	# table_issue_type       [0][TYPE_ALU    ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [0][TYPE_SHIFT  ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [0][TYPE_MOVE   ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [0][TYPE_TEST   ] [nb_inst_issue][nb_type]
+0	0	+1	# table_issue_type       [0][TYPE_MUL    ] [nb_inst_issue][nb_type]
+0	0	+1	# table_issue_type       [0][TYPE_DIV    ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [0][TYPE_EXTEND ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [0][TYPE_FIND   ] [nb_inst_issue][nb_type]
+0	0	+1	# table_issue_type       [0][TYPE_SPECIAL] [nb_inst_issue][nb_type]
+0	0	+1	# table_issue_type       [0][TYPE_CUSTOM ] [nb_inst_issue][nb_type]
+0	0	+1	# table_issue_type       [0][TYPE_BRANCH ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [0][TYPE_MEMORY ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [1][TYPE_ALU    ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [1][TYPE_SHIFT  ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [1][TYPE_MOVE   ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [1][TYPE_TEST   ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [1][TYPE_MUL    ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [1][TYPE_DIV    ] [nb_inst_issue][nb_type]
+0	0	+1	# table_issue_type       [1][TYPE_EXTEND ] [nb_inst_issue][nb_type]
+0	0	+1	# table_issue_type       [1][TYPE_FIND   ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [1][TYPE_SPECIAL] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [1][TYPE_CUSTOM ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [1][TYPE_BRANCH ] [nb_inst_issue][nb_type]
+0	0	+1	# table_issue_type       [1][TYPE_MEMORY ] [nb_inst_issue][nb_type]
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/SelfTest/config_multi_rename_unit.cfg
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/SelfTest/config_multi_rename_unit.cfg	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/SelfTest/config_multi_rename_unit.cfg	(revision 88)
@@ -0,0 +1,86 @@
+Issue_queue
+4	4	*2	# nb_context              
+4	4	*2	# nb_front_end            
+4	4	*2	# nb_rename_unit          
+64	64	*2	# size_queue              
+4	16	*2	# nb_bank                 
+0	0	*2	# size_packet             
+32	32	*2	# size_general_data       
+2	2	*2	# size_special_data       
+5	5	*2	# size_general_register   
+2	2	*2	# size_special_register   
+1	1	*2	# size_store_queue_ptr    
+0	0	*2	# size_load_queue_ptr     
+4	4	*4	# nb_inst_issue           
+4	4	*4	# nb_inst_rename         [0]               [nb_rename_unit]
+1	1	*4	# nb_inst_rename         [1]               [nb_rename_unit]
+2	2	*4	# nb_inst_rename         [2]               [nb_rename_unit]
+8	8	*4	# nb_inst_rename         [3]               [nb_rename_unit]
+4	4	*4	# nb_inst_reexecute       
+1	4	+1	# nb_rename_unit_select   
+1	1	*2	# priority                
+1	1	*2	# load_balancing          
+1	1	+1	# table_routing          [0][0]            [nb_rename_unit][nb_inst_issue]
+1	1	+1	# table_routing          [0][1]            [nb_rename_unit][nb_inst_issue]
+0	0	+1	# table_routing          [0][2]            [nb_rename_unit][nb_inst_issue]
+0	0	+1	# table_routing          [0][3]            [nb_rename_unit][nb_inst_issue]
+1	1	+1	# table_routing          [1][0]            [nb_rename_unit][nb_inst_issue]
+1	1	+1	# table_routing          [1][1]            [nb_rename_unit][nb_inst_issue]
+0	0	+1	# table_routing          [1][2]            [nb_rename_unit][nb_inst_issue]
+0	0	+1	# table_routing          [1][3]            [nb_rename_unit][nb_inst_issue]
+0	0	+1	# table_routing          [2][0]            [nb_rename_unit][nb_inst_issue]
+0	0	+1	# table_routing          [2][1]            [nb_rename_unit][nb_inst_issue]
+1	1	+1	# table_routing          [2][2]            [nb_rename_unit][nb_inst_issue]
+1	1	+1	# table_routing          [2][3]            [nb_rename_unit][nb_inst_issue]
+0	0	+1	# table_routing          [3][0]            [nb_rename_unit][nb_inst_issue]
+0	0	+1	# table_routing          [3][1]            [nb_rename_unit][nb_inst_issue]
+1	1	+1	# table_routing          [3][2]            [nb_rename_unit][nb_inst_issue]
+1	1	+1	# table_routing          [3][3]            [nb_rename_unit][nb_inst_issue]
+1	1	+1	# table_issue_type       [0][TYPE_ALU    ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [0][TYPE_SHIFT  ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [0][TYPE_MOVE   ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [0][TYPE_TEST   ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [0][TYPE_MUL    ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [0][TYPE_DIV    ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [0][TYPE_EXTEND ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [0][TYPE_FIND   ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [0][TYPE_SPECIAL] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [0][TYPE_CUSTOM ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [0][TYPE_BRANCH ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [0][TYPE_MEMORY ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [1][TYPE_ALU    ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [1][TYPE_SHIFT  ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [1][TYPE_MOVE   ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [1][TYPE_TEST   ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [1][TYPE_MUL    ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [1][TYPE_DIV    ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [1][TYPE_EXTEND ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [1][TYPE_FIND   ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [1][TYPE_SPECIAL] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [1][TYPE_CUSTOM ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [1][TYPE_BRANCH ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [1][TYPE_MEMORY ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [2][TYPE_ALU    ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [2][TYPE_SHIFT  ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [2][TYPE_MOVE   ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [2][TYPE_TEST   ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [2][TYPE_MUL    ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [2][TYPE_DIV    ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [2][TYPE_EXTEND ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [2][TYPE_FIND   ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [2][TYPE_SPECIAL] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [2][TYPE_CUSTOM ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [2][TYPE_BRANCH ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [2][TYPE_MEMORY ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [3][TYPE_ALU    ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [3][TYPE_SHIFT  ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [3][TYPE_MOVE   ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [3][TYPE_TEST   ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [3][TYPE_MUL    ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [3][TYPE_DIV    ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [3][TYPE_EXTEND ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [3][TYPE_FIND   ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [3][TYPE_SPECIAL] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [3][TYPE_CUSTOM ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [3][TYPE_BRANCH ] [nb_inst_issue][nb_type]
+1	1	+1	# table_issue_type       [3][TYPE_MEMORY ] [nb_inst_issue][nb_type]
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/SelfTest/include/test.h
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/SelfTest/include/test.h	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/SelfTest/include/test.h	(revision 88)
@@ -0,0 +1,30 @@
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ * Test "RegisterFile"
+ */
+
+#ifdef SYSTEMC
+#include "systemc.h"
+#endif
+
+#define NB_ITERATION  1024
+#define CYCLE_MAX     (1024*NB_ITERATION)
+
+#include "Common/include/Test.h"
+#include "Common/include/Time.h"
+#include "Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/include/Issue_queue.h"
+
+using namespace std;
+using namespace morpheo;
+using namespace morpheo::behavioural;
+using namespace morpheo::behavioural::core;
+using namespace morpheo::behavioural::core::multi_ooo_engine;
+using namespace morpheo::behavioural::core::multi_ooo_engine::ooo_engine;
+
+using namespace morpheo::behavioural::core::multi_ooo_engine::ooo_engine::issue_queue;
+
+void test    (string name,
+	      morpheo::behavioural::core::multi_ooo_engine::ooo_engine::issue_queue::Parameters * param);
